#ifndef COMPONENT_H
#define COMPONENT_H

// Base Component class for all components.
class Component {
public:
    virtual ~Component() {}
    // Update the component each frame.
    virtual void Update(float deltaTime) = 0;
};

#endif // COMPONENT_H
